Bug 1398560 - [RFE] add virtio-rng driver to installer
Summary: [RFE] add virtio-rng driver to installer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-tools
Classification: oVirt
Component: VirtIO-Drivers
Version: 4.0.1-1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-rc
: 4.1.0
Assignee: Yedidyah Bar David
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1337101 1347669 1374227
Blocks: 1405032
TreeView+ depends on / blocked
 
Reported: 2016-11-25 09:26 UTC by Michal Skrivanek
Modified: 2017-05-11 09:31 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, an updated version of the Windows Guest Tools ISO is available. The changes compared to the 4.0 version are: - Fixed Uninstall - Corrected the path to the QEMU GA MSI files - Added Display Version as a postfix to the Display Name - Added Windows 10 support - Updated to the latest virtio-win/vdagent releases - Installed the virtio-rng driver
Clone Of: 1337101
: 1405032 (view as bug list)
Environment:
Last Closed: 2017-02-01 14:57:49 UTC
oVirt Team: Integration
ylavi: ovirt-4.1+
rule-engine: exception+
pstehlik: testing_plan_complete-
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 70989 master MERGED Install virtio-rng driver 2017-01-24 09:46:57 UTC

Description Michal Skrivanek 2016-11-25 09:26:27 UTC
We need to add virtio-rng driver installation to guest tools iso for all supported Windows versions.
Currently the device is added but shows up as unknown device and the driver needs to be installed from web

Similar downstream changes needed, feel free to open a follow-up bug


+++ This bug was initially created as a clone of Bug #1337101 +++

RHEL 7.1+ transparently supports improvements to entropy of random numbers. It should be safe to enable it by default for all 7.1+ guests

See http://rhelblog.redhat.com/2015/03/09/red-hat-enterprise-linux-virtual-machines-access-to-random-numbers-made-easy/ for more details

[snip]

--- Additional comment from Michal Skrivanek on 2016-11-25 10:20:38 CET ---

this needs driver installation on Windows

Comment 4 Petr Matyáš 2017-01-26 12:56:16 UTC
Verified on virtio-win-1.9.0-3

Although only iso image contains this driver, floppy drive does not.


Note You need to log in before you can comment on or make changes to this bug.